# Python3 support doesn't seem to be complete yet
# https://github.com/geopython/OWSLib/issues/81

# Works with either ElementTree or python-lxml
%global modname OWSLib

Name:           python-%{modname}
Version:        0.8.10
Release:        1%{?dist}
Summary:        Client library for OGC web services
License:        BSD
URL:            http://geopython.github.io/OWSLib
Source0:        http://pypi.python.org/packages/source/O/%{modname}/%{modname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-dateutil
Requires:       pytz

%description
Package for client programming with Open Geospatial Consortium (OGC) web
service (hence OWS) interface standards, and their related content models.

%prep
%setup -q -n %{modname}-%{version}
rm -rf %{modname}.egg-info


%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}


%files
%doc LICENSE.txt README.txt CHANGES.txt CREDITS.txt
%{python_sitelib}/owslib
%{python_sitelib}/%{modname}-%{version}-py*.egg-info

%changelog
* Mon Oct 13 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.10-1
- New upstream release

* Wed Sep 24 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.9-1
- New upstream release

* Mon Jul  7 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.8-1
- New upstream release

* Wed Jul  2 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.7-3
- Changed package summary

* Tue Jul  1 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.7-2
- Correct BR python-setuptools-devel to python-setuptools

* Mon Jun 30 2014 Volker Fröhlich <volker27@gmx.at> - 0.8.7-1
- Initial package for Fedora
